      function cau_df(x) ! bernd berg jun 2 1999.
c cauchy, cumulative distribution function. 
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      cau_df=half+atan(x)/pi
      return
      end
